package com.pcloud.book.group.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @author 戴兴
 * @description TODO
 * @date 2019/2/28 17:31
 */
@ApiModel
public class WeixinQrcodeVO implements Serializable {

    private static final long serialVersionUID = -2495430875480120232L;

    @ApiModelProperty("二维码URL")
    private String qrcodeUrl;

    @ApiModelProperty("机器人小号标识")
    private Long robotId;

    @ApiModelProperty("机器人微信")
    private String robotWxId;

    @ApiModelProperty("微信群标识")
    private String weixinGroupId;

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public String getQrcodeUrl() {
        return qrcodeUrl;
    }

    public void setQrcodeUrl(String qrcodeUrl) {
        this.qrcodeUrl = qrcodeUrl;
    }

    public Long getRobotId() {
        return robotId;
    }

    public void setRobotId(Long robotId) {
        this.robotId = robotId;
    }

    public String getRobotWxId() {
        return robotWxId;
    }

    public void setRobotWxId(String robotWxId) {
        this.robotWxId = robotWxId;
    }

    @Override
    public String toString() {
        return "WeixinQrcodeVO{" +
                "qrcodeUrl='" + qrcodeUrl + '\'' +
                ", robotId=" + robotId +
                ", robotWxId='" + robotWxId + '\'' +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                '}';
    }
}